//Author: eletechsup
//More information welcome to : http://www.485io.com 
//Arduino IDE 2.2.1
//DNDINS3 Expansion Board for ESP32 S3 BOARD
//This code tests the serial port of DNDINS3. It will automatically return any data sent by the computer. The baud rate is 115200


String receivedData;

void setup() {                
  Serial.begin(115200);
  Serial.setTimeout(5);

}
void loop() {  
  if (Serial.available()) {
      receivedData = Serial.readString();
      Serial.print("receivedData: ");
      Serial.println(receivedData);
    }
}
